<?php

namespace app\admin\controller\finance;

use app\admin\service\sys_manage\DeptService;
use support\Db;
use support\Request;

class PremisesRevenueController
{

    private $accountType = ['CASH', 'POINTS', 'CARD'];

    public function list(Request $request)
    {
        $page = $request->get('page', 1);
        $pageSize = $request->get('pageSize', 20);
        $premises = $request->get('premises', DeptService::getPremisesList());
        $premisesKeyValue = [];
        foreach($premises as $item){
            $premisesKeyValue[$item['key']] = $item['label'];
        }

        $month = date('Ym');
        
        foreach ($premises as $premise) {
            $premiseKey = intval($premise['key']);
            $income = Db::table("data_income_{$month}")
                ->where('join_data_income_dept_id',$premiseKey)
                ->groupBy('data_income_pay_type')
            ;
        }
        
        $data = Db::table("data_income_{$month}");
        $statistics = [];

        return json_success('', ['rows'=>$data,'statistics'=>$statistics]);
    }
}